]> sipb.mit.edu Git - ikiwiki.git/commitdiff
Creating "Checksum errors on the pristine-tar branch" bug report
authorhttp://sunny256.sunbase.org/ <sunny256@web>
Mon, 21 Feb 2011 06:35:45 +0000 (06:35 +0000)
committerJoey Hess <joey@kitenet.net>
Mon, 21 Feb 2011 06:35:45 +0000 (06:35 +0000)
doc/bugs/Checksum_errors_on_the_pristine-tar_branch.mdwn [new file with mode: 0644]

diff --git a/doc/bugs/Checksum_errors_on_the_pristine-tar_branch.mdwn b/doc/bugs/Checksum_errors_on_the_pristine-tar_branch.mdwn
new file mode 100644 (file)
index 0000000..bbc8e85
--- /dev/null
@@ -0,0 +1,24 @@
+I'm in the process of installing ikiwiki on my home page (hooray), and wants to have the newest stable version available. I suppose that's the one on the "pristine-tar" branch. But I'm unable to recreate the newest .tar file, in fact there's errors in all these .tar.gz files on that branch:
+
+* ikiwiki_2.20.tar.gz
+* ikiwiki_2.30.tar.gz
+* ikiwiki_2.31.1.tar.gz
+* ikiwiki_2.46.tar.gz
+* ikiwiki_2.47.tar.gz
+* ikiwiki_2.48.tar.gz
+* ikiwiki_2.49.tar.gz
+* ikiwiki_2.50.tar.gz
+* ikiwiki_2.51.tar.gz
+* ikiwiki_2.62.1.tar.gz
+* ikiwiki_2.62.tar.gz
+* ikiwiki_3.20101129.tar.gz
+* ikiwiki_3.20101201.tar.gz
+* ikiwiki_3.20101231.tar.gz
+* ikiwiki_3.20110105.tar.gz
+* ikiwiki_3.20110122.tar.gz
+* ikiwiki_3.20110123.tar.gz
+* ikiwiki_3.20110124.tar.gz
+
+The operation fails on these files with a "Checksum validation failed" error from xdelta(1). The pristine-tar(1) version is 1.00, installed with apt-get on Ubuntu 10.04.2 LTS. Is this version too old, or are there some errors on this branch?
+
+A complete output of the "pristine-tar checkout" of all files is stored on [https://gist.github.com/836720](https://gist.github.com/836720) . -- sunny256 2011-02-21 07:34+0100